classification
Title: Document that PyPI no longer requires 'register'
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, dstufft, eric.araujo, kojoidrissa, miss-islington, ncoghlan, p-ganssle, shihai1991, sumanah
Priority: normal Keywords: easy, patch

Created on 2018-03-13 14:21 by p-ganssle, last changed 2019-06-08 11:14 by cheryl.sabella. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 13087 merged kojoidrissa, 2019-05-04 20:57
PR 13235 merged miss-islington, 2019-05-10 08:45
PR 13584 merged shihai1991, 2019-05-26 19:02
Messages (10)
msg313749 - (view) Author: Paul Ganssle (p-ganssle) * (Python committer) Date: 2018-03-13 14:21
I've been asked to post this by @brainwave (who is having some trouble getting an account on bpo due to technical difficulties).

Per twine's github issue 311 ( https://github.com/pypa/twine/issues/311 ), it seems that distutil's docs Update setuptools and distutils docs, e.g., https://docs.python.org/3.6/distutils/packageindex.html#the-upload-command should be clarified to indicate that PyPI does not require register anymore, although other package indexes might.
msg341402 - (view) Author: Kojo Idrissa (kojoidrissa) * Date: 2019-05-04 20:27
I'm working on this (@kojoidrissa)
msg342062 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2019-05-10 08:45
New changeset 1b4abcf302ff2c8f4d4881294510d48ba5186b53 by Nick Coghlan (Kojo Idrissa) in branch 'master':
bpo-33071: remove outdated PyPI docs (GH-13087)
https://github.com/python/cpython/commit/1b4abcf302ff2c8f4d4881294510d48ba5186b53
msg342063 - (view) Author: miss-islington (miss-islington) Date: 2019-05-10 08:50
New changeset 069a5b48334a795d3abe3a512dd41aad7a532a73 by Miss Islington (bot) in branch '3.7':
bpo-33071: remove outdated PyPI docs (GH-13087)
https://github.com/python/cpython/commit/069a5b48334a795d3abe3a512dd41aad7a532a73
msg343049 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2019-05-21 13:59
This has been merged for 3.8 and 3.7, but not for 2.7, since the docs have diverged far enough that the automatic backport didn't work: https://github.com/python/cpython/pull/13087#issuecomment-494402704

Given the proximity to the general end of life of the Python 2.7 documentation anyway, I'm inclined to just close this based on the 3.x changes, and not worry about the 2.7 version of the docs.

Thoughts?
msg343079 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2019-05-21 18:59
My preference would be to have 2.7 doc accurate.

Let’s wait a little bit to see if someone picks this up?
msg343579 - (view) Author: hai shi (shihai1991) * Date: 2019-05-26 19:28
hi, everyone. I am a freshman,so let me do it from easy issues:)
msg343670 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2019-05-27 18:39
I’m concerned that not only references to register command were deleted, but also useful general intro to PyPI.
msg343675 - (view) Author: hai shi (shihai1991) * Date: 2019-05-27 19:20
I think you are right, so i remain meaningful intro. Anyone else has an thought?
msg343899 - (view) Author: miss-islington (miss-islington) Date: 2019-05-29 17:05
New changeset 103b8d9f9179089019ddb363ec0098b63816001b by Miss Islington (bot) (Hai Shi) in branch '2.7':
[2.7] bpo-33071: remove outdated PyPI docs (GH-13087) (GH-13584)
https://github.com/python/cpython/commit/103b8d9f9179089019ddb363ec0098b63816001b
History
Date User Action Args
2019-06-08 11:14:36cheryl.sabellasetstatus: open -> closed
stage: patch review -> resolved
resolution: fixed
versions: + Python 3.7, Python 3.8
2019-05-29 17:05:32miss-islingtonsetmessages: + msg343899
2019-05-27 19:20:21shihai1991setmessages: + msg343675
versions: - Python 3.7, Python 3.8
2019-05-27 18:39:05eric.araujosetmessages: + msg343670
2019-05-26 19:28:40shihai1991setnosy: + shihai1991
messages: + msg343579
2019-05-26 19:02:14shihai1991setstage: backport needed -> patch review
pull_requests: + pull_request13491
2019-05-21 18:59:22eric.araujosetmessages: + msg343079
2019-05-21 13:59:53ncoghlansetstage: patch review -> backport needed
messages: + msg343049
versions: - Python 3.6
2019-05-10 08:50:58miss-islingtonsetnosy: + miss-islington
messages: + msg342063
2019-05-10 08:45:24ncoghlansetnosy: + ncoghlan
messages: + msg342062
2019-05-10 08:45:23miss-islingtonsetpull_requests: + pull_request13145
2019-05-04 20:57:12kojoidrissasetkeywords: + patch
stage: patch review
pull_requests: + pull_request13001
2019-05-04 20:27:33kojoidrissasetnosy: + kojoidrissa
messages: + msg341402
2018-03-14 00:40:12sumanahsetnosy: + sumanah
2018-03-13 14:27:59christian.heimessetkeywords: + easy
components: - Distutils
versions: + Python 2.7, Python 3.6, Python 3.7, Python 3.8
2018-03-13 14:21:27p-gansslecreate